import styled from 'styled-components';
import defaultTheme from '../../theme';
import { paddable, flexbox, alignColumn, alignRow } from '../../utils';
export const Box = styled.div({
    display: 'flex',
    padding: '0.5em',
}, (props) => ({
    flexFlow: `${props.type} wrap`,
    ...(props.type === 'column' ? alignColumn(props) : alignRow(props)),
}), ({ textAlign }) => (textAlign ? { textAlign } : null), flexbox, paddable);
Box.defaultProps = {
    theme: defaultTheme,
    type: 'column',
};
export const Grid = styled(Box).attrs({ type: 'column' })({});
Grid.Row = styled(Box).attrs({ type: 'row' })({});
Grid.Column = styled(Box).attrs({ type: 'column' })({});
